@REM
@REM Configure and build debug and release
@REM
set PACKAGE=%~1

@REM Capture the remaining arguments for cmake
shift
set CMAKE_OPTIONS=%*

@REM configure
cmake -S %SOURCE_DIR%\%PACKAGE% ^
      -B %BUILD_DIR%\%PACKAGE% ^
      -G "Ninja Multi-Config" ^
      -DCMAKE_INSTALL_PREFIX=%INSTALL_DIR% ^
      -DCMAKE_DEBUG_POSTFIX="-debug" ^
      %CMAKE_OPTIONS%

@REM build
cmake --build %BUILD_DIR%\%PACKAGE% --config Debug --target install --parallel
cmake --build %BUILD_DIR%\%PACKAGE% --config Release --target install --parallel
