@REM set all base variables and add msvc++ path
call util-vars.bat
call "C:\Program Files (x86)\Microsoft Visual Studio\2022\BuildTools\VC\Auxiliary\Build\vcvars64.bat" 

git clone https://gricad-gitlab.univ-grenoble-alpes.fr/CamiTK/CamiTK.git %SOURCE_DIR%/camitk

@REM use -C to allow checkout without changing directory
git -C %SOURCE_DIR%/camitk checkout develop 

@REM or any other branch
call util-build.bat "camitk" -DCEP_IMAGING:BOOL=ON ^
        -DCEP_MODELING:BOOL=ON ^
        -DCEP_TUTORIALS:BOOL=ON

@REM only useful for VM that have no OpenGL
cp libglapi.dll libgallium_wgl.dll opengl32.dll %INSTALL_DIR%/bin

@REM test using amos...camitk and sinus DICOM directory
camitk-imp.exe 
