@REM
@REM Download and uncompress
@REM
set URL=%~1
set ZIP_FILE=%~2

curl -L %URL%/%ZIP_FILE% --output %DND_DIR%\%ZIP_FILE%

if "%ZIP_FILE:~-3%"==".gz" (
    7z x "%DND_DIR%\%ZIP_FILE%" -so | 7z x -aoa -si -ttar -o"%SOURCE_DIR%"
) else (
    7z x "%DND_DIR%\%ZIP_FILE%" -o"%SOURCE_DIR%"
)

if %errorlevel% neq 0 (
    echo Extraction failed.
    exit /b 1
)

echo Extraction successful.
